Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.db
Class GraphSession.AverageNodeTimeEntry

    java.lang.Object
      org.jbpm.db.GraphSession.AverageNodeTimeEntry

Enclosing class:
  GraphSession

    public static class GraphSession.AverageNodeTimeEntry

extends java.lang.Object

Constructor Summary
`GraphSession.AverageNodeTimeEntry()`

Method Summary
`long` | `getAverageDuration()`
`int` | `getCount()`
`long` | `getMaxDuration()`
`long` | `getMinDuration()`
`long` | `getNodeId()`
`java.lang.String` | `getNodeName()`
`void` | `setAverageDuration(long averageDuration)`
`void` | `setCount(int count)`
`void` | `setMaxDuration(long maxDuration)`
`void` | `setMinDuration(long minDuration)`
`void` | `setNodeId(long nodeId)`
`void` | `setNodeName(java.lang.String nodeName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphSession.AverageNodeTimeEntry

    public GraphSession.AverageNodeTimeEntry()

Method Detail

### getNodeId

    public long getNodeId()

### setNodeId

    public void setNodeId(long nodeId)

### getNodeName

    public java.lang.String getNodeName()

### setNodeName

    public void setNodeName(java.lang.String nodeName)

### getCount

    public int getCount()

### setCount

    public void setCount(int count)

### getAverageDuration

    public long getAverageDuration()

### setAverageDuration

    public void setAverageDuration(long averageDuration)

### getMinDuration

    public long getMinDuration()

### setMinDuration

    public void setMinDuration(long minDuration)

### getMaxDuration

    public long getMaxDuration()

### setMaxDuration

    public void setMaxDuration(long maxDuration)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD